import {defineConfig, presetAttributify, presetUno} from 'unocss';

export function createConfig({strict = true, dev = true} = {}) {
  return defineConfig({
    envMode: dev ? 'dev' : 'build', presets: [presetAttributify({strict}), presetUno()],
    rules: [
      ['flex-important', {display: 'flex !important'}],
    ],
    shortcuts: {
      'flow-node': 'relative text-0 bg-#fff shadow-md border border-solid border-[#d9d9d9] rounded-[8px] hover:border-[#40a9ff]',
      'node-port': 'absolute w-10px h-10px rounded-full bg-#0e53e2 top-1/2 opacity-50 border-2px border-solid border-#fff transition duration-300 hover:opacity-100 hover:scale-150 origin-top'
    },
  });
}

export default createConfig();